:root {
    --light-blue: #1670a7;
    --dark-blue: #094365;
    --light-green: #119154;
    --white: #fff;
    --black: #000;
    --text-color: #444;
    --text-light-blue: #444;
    --text-green: #0ca352;
    --bs-color: #0a146e;
    /* --bs-color: rgb(10, 20, 110); */
    --bg-gray: #f5f5f5;
    --btn-bg-blue: #0072b7;
    --bg-yellow: rgb(255, 159, 0);
    --bg-light-blue: rgb(0, 194, 219);
    --bg-blue: #20bec8;
    --bg-green: #10951d;
    --bg-turmeric: #cabe52;
    --bg-red: #ff0000;
    --bg-sky: #f6fafc;
    --th-gradient: linear-gradient(45deg, #156ca1, #79cdff);
    --table-border: #62b4e7;
}


.res_step ol {
    list-style-type: decimal;
    border-left: 1px solid #FF8080;
    padding: 0 30px;
}
.res_step ol ol {
    list-style-type: upper-alpha;
    border-left: 1px solid #92D169;
}
.res_step ol ol ol {
    list-style-type: upper-roman;
    border-left: 1px solid #78BEF0;
}
.res_step ol ol ol ol {
    list-style-type: lower-alpha;
    border-left: 1px solid #CC66C9;
}
.res_step ol ol ol ol ol {
    list-style-type: lower-roman;
    border-left: 1px solid #F2A279;
}

.quadratic_fraction {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    font-size: .9em;
}
.quadratic_fraction .num {
    top: 0;
    padding: 0 .3rem;
    display: block;
    white-space: nowrap;
    border-bottom: 1px solid black
}

.blogsh2 {
    font-size: 24px;
    font-weight: 700;
    color: #333;
    margin-bottom: 10px;
    text-transform: capitalize;
    line-height: 1.5;
    letter-spacing: 0.5px;
}
.blogsh3 {
    font-size: 20px;
    font-weight: 600;
    color: #555;
    margin-top: 14px;
    line-height: 1.4;
    text-transform: capitalize;
    letter-spacing: 0.3px;
}
.blogsdiv {
    font-size: 16px;
    color: #444;
    /* margin-top: 16px;  */
    line-height: 1.8;
    text-align: justify;
    /* background-color: #f9f9f9;  */
    border-radius: 5px;
    /* border: 1px solid #ddd;  */
}



.contentp {
    padding-top: 5px;
    margin-bottom: 5px;
}
.contenth2 {
    font-size: 24px;
    font-weight: 500;
    padding: 2px 0px;
}
.contenth3 {
    font-size: 22px;
    font-weight: 500;
    padding: 2px 0px;
}
.contentul {
    padding: 5px 27px;
}
.contentul li {
    padding: 5px 27px;
    padding: 2px 0px;
}

.green-color {
    color: var(--text-green);
}
.bg-blue {
    background: var(--bg-blue);
}
.bg-theme {
    background: var(--btn-bg-blue);
}
.bg-dark-blue {
    background: var(--dark-blue);
}
.bg-green {
    background: var(--bg-green);
}
.bg-turmeric {
    background: var(--bg-turmeric);
}
.bg-red {
    background: var(--bg-red);
}
.bg-sky {
    background: var(--bg-sky);
}

.bg-header-footer {
    background: var(--bs-color) !important;
}
.d-none {
    display: none !important;
}
.autosearch-activeclass{
    background-color: rgb(204 227 192)
}

.loader_ajax {
    width: 100px;
    /* height: 20px; */
    border-radius: 100%;
    position: relative;
    margin: 0 auto;
}
.hidden_loader {
    display: none;
}

/* LOADER 4 */

#loader-4 span {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 100%;
    background-color: var(--light-blue);
    margin: 12px 5px;
    opacity: 0;
}

#loader-4 span:nth-child(1) {
    animation: opacitychange 1s ease-in-out infinite;
}

#loader-4 span:nth-child(2) {
    animation: opacitychange 1s ease-in-out 0.33s infinite;
}

#loader-4 span:nth-child(3) {
    animation: opacitychange 1s ease-in-out 0.66s infinite;
}

@keyframes opacitychange {
    0%,
    100% {
        opacity: 0;
    }

    60% {
        opacity: 1;
    }
}


.t_select{
    background-color: green;
    color: white;
    border: 1px solid green;
    
}
.none_select{
    background-color: white;
    color: green;
    border: 1px solid green;
}


  
.highlight {
    font-weight: bold;
}
.bottom-right-div {
    position: fixed;
    bottom: -100px;
    /* Start from below the screen */
    right: 10px;
    z-index: 99999000;
    width: 400px;
    color: #ffffff;
    text-align: center;
    background-color: #000;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    transition: bottom 0.5s ease-in-out;
    /* Smooth transition */
}
.bottom-right-div p {
    padding: 0px;
    margin: 0px;
}

.highcharts-credits {
    display: none;
}
.orange-text {
    color: #ff6d00;
}
.tagsUnit {
    background: #f16232 !important;
    color: #ffffff;
}
.hover_tags:hover {
    background: #000000;
    color: white;
}

.reset {
    background: #000000;
}
.reset:hover {
    background: #f16232;
    color: white;
}
.result_box {
    background: aliceblue;
}
label {
    color: #000000 !important;
    font-weight: 500 !important;
}
.border-b {
    border-bottom: 2px solid #f16232;
}
input {
    width: 100%;
    height: 50px;
    padding: 1px 9px!important;
    border-radius: 6px !important;
    border: 1px solid #f16232 !important;
    outline: none !important;
    box-shadow: none !important;
    background-color: white;
    color: #4a5568; /* Tailwind's text-gray-800 */
}

input:focus {
    border-radius: 12px !important;
    border: 1px solid #f16232 !important;
    box-shadow: 0 0 0 2px #38a169; /* focus:ring-green-500 */
    outline: none !important;
}

select {
    width: 100%;
    height: 50px;
    padding-left: 10px !important;
    border-radius: 6px !important;
    border: 1px solid #f16232 !important;
    outline: none !important;
    box-shadow: none !important;
    background-color: white;
    color: #4a5568; /* Equivalent to text-gray-800 in Tailwind */
}

textarea {
    width: 100%;
    height: 80px;
    padding: 8px 16px !important;
    padding-left: 10px !important;
    border-radius: 12px !important;
    border: 1px solid #f16232 !important;
    outline: none !important;
    box-shadow: none !important;
}
input[type="radio"]:checked {
    background-color: #f16232 !important;
    color: #f16232 !important;
    width: 17px;
}

/* input[type="checkbox"]:checked {
        background-color: #f16232!important;
        color: #f16232!important;
        width: 17px;
    } */

input[type="checkbox"] {
    accent-color: #f16232 !important;
    color: #f16232 !important;
    width: 20px;
    height: 18px;
}

.textgreenrrsult {
    color: #f16232 !important;
    font-weight: 700 !important;
}
.textgreen {
    color: #f16232 !important;
}
.bg_black {
    background-color: #000 !important;
}

.bg_green {
    background-color: #f16232 !important;
}
.text_green {
    color: #f16232 !important;
}

.green {
    color: #38a169 !important;
}
.label {
    font-size: 13px;
  
    font-weight: 500; /* Equivalent to font-medium in Tailwind */
    color: #4b5563; /* Equivalent to text-gray-700 in Tailwind */
}
.input_unit {
    position: absolute;
    right: 34px;
    top: 70%;
    transform: translateY(-50%);
    color: #000000;
    font-size: 14px;
    pointer-events: none;
}
.spinner {
    width: 56px;
    height: 56px;
    border: 11.2px #f16232 double;
    border-left-style: solid;
    border-radius: 50%;
    animation: spinner-aib1d7 0.75s infinite linear;
}
#response_message{
    color: red;
}

@keyframes spinner-aib1d7 {
    to {
        transform: rotate(360deg);
    }
}

.fraction {
    display: inline-block;
    text-align: center;
    vertical-align: middle;
    padding: 0.5rem 0.3rem 1.3rem;
    font-size: 0.9em;
}
.fraction .num {
    top: 0;
    padding: 0 0.3rem;
    display: block;
    white-space: nowrap;
    border-bottom: 1px solid #444;
}
.visually-hidden {
    width: 1px;
    height: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
    position: absolute;
    clip: rect(0 0 0 0);
    overflow: hidden;
}
.fraction .den {
    line-height: 15px;
    padding: 0.5rem 0.3rem 0 0.3rem;
    display: block;
    width: 100%;
    white-space: nowrap;
}

/* active class */

body {
    font-family: "Poppins";
}

.dropdown-menu {
    display: flex;
    flex-wrap: wrap;
}
.dropdown-menu li {
    flex: 1 1 50%;
    display: flex;
    justify-content: flex-start;
}
.dropdown-menu li a {
    width: 100%;
    display: flex;
    align-items: center;
}
.font-russo {
    font-family: cursive;
}

/* Navbar active item */
.menuheader a.active {
    background-color: #f16232 !important; /* Active background */
    color: white !important;              /* Active text */
}

.menuheader a.active svg {
    fill: white !important;               /* Active SVG */
}

/* Hover effect */
.menuheader a:hover {
    background-color: #f16232 !important; /* Hover background */
    color: white !important;               /* Hover text */
}

.menuheader a:hover svg {
    fill: white !important;                /* Hover SVG */
}

/* Smooth transition for text and SVG */
.menuheader a,
.menuheader a svg {
    transition: all 0.3s ease;
}


/* other Menu */

.menuheader ul li.active {
    background-color: #ffffff;
}
.menuheader ul li.active a {
    color: black; /* Change text color */
}

.menuheader ul li.active a svg path {
    fill: black; /* Change SVG color */
}


.menuheader ul li a {
    transition: all 0.3s ease;
}
.menuheader ul li:hover {
    background-color: #ffffff;
    color: #000000 !important;
}

/* other Menu */

.content-formula {
    border: 1px solid #f16232;
    padding: 10px;
    background-color: #eeeeee;
    margin-top: 4px;
    margin-bottom: 4px;
    overflow: auto;
}

/* active class */

.content_details table tr{
    width: 100%;
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}

.content_details table tr td{
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}
.content_details table tr th{
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}



.content_details p{
    font-size: 16px;
    padding: 2px 0px;
}

.content_details h2{
    font-size: 20px;
    padding: 7px 0px;
    font-weight: 800!important;
}
.content_details h3{
    font-size: 20px;
    padding: 7px 0px;
    font-weight: 800!important;
}
.content_details h4{
    font-size: 20px;
    padding: 7px 0px;
    font-weight: 800!important;
}

.content_details div, .content_details p, .content_details img {
    max-width: 100%;
  }

  .content_details p, .content_details div, .content_details {
    margin: 2px 0px 5px 0px;
    font-size: 16px;
    letter-spacing: 0.4px;
    line-height: 27px;
  }

  .content_details a{
    color: #0072b7;
    text-decoration: underline;
 }
 


.blogs_content table tr{
    width: 100%;
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}

.blogs_content table tr td{
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}
.blogs_content table tr th{
    border: 2px solid black;
    font-size: 18px;
    padding: 10px 10px;
}



.blogs_content p{
    font-size: 16px;
    padding: 4px 0px;
}

.blogs_content h2{
    font-size: 20px;
    padding: 4px 0px;
        font-weight: 800!important;
}
.blogs_content h3{
    font-size: 20px;
    padding: 4px 0px;
        font-weight: 800!important;
}
.blogs_content h4{
    font-size: 20px;
    padding: 4px 0px;
        font-weight: 800!important;
}

.blogs_content ul{
    list-style: disc;
}

.blogs_content ul li{
   
    list-style: disc;
        font-weight: 800!important;
}

.blogs_content a{
   
   color: #0072b7;
   text-decoration: underline;
}





